scrub-obsolete Package - plasma-workspace

Ready changes

Merge these changes:

Diff

diff --git a/debian/changelog b/debian/changelog
index bee6b91..7e43fba 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+plasma-workspace (4:5.19.5-4) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on cmake, pkg-kde-tools,
+      plasma-framework.
+    + sddm-theme-debian-breeze: Drop versioned constraint on desktop-base in
+      Recommends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Mon, 09 Nov 2020 00:18:05 -0000
+
 plasma-workspace (4:5.19.5-3) unstable; urgency=medium
 
   * Release to unstable.
diff --git a/debian/control b/debian/control
index aaa7d67..995f8a7 100644
--- a/debian/control
+++ b/debian/control
@@ -6,7 +6,7 @@ Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: baloo-kf5-dev (>= 5.13~),
-               cmake (>= 3.0~),
+               cmake,
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.70.0~),
                iso-codes,
@@ -74,8 +74,8 @@ Build-Depends: baloo-kf5-dev (>= 5.13~),
                libxrender-dev,
                libxtst-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.18~),
-               plasma-framework (>= 5.26.0~),
+               pkg-kde-tools,
+               plasma-framework,
                qtbase5-dev (>= 5.14.0~),
                qtdeclarative5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.14.0~),
@@ -281,7 +281,7 @@ Depends: plasma-framework,
          sddm-theme-breeze,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: desktop-base (>= 9.0.0~), sddm
+Recommends: desktop-base, sddm
 Provides: sddm-theme
 Description: Debian Breeze SDDM theme
  Plasma Workspace for KF5. Workspaces provide

Run locally

Try this locally (using the lintian-brush package):

debcheckout plasma-workspace
cd plasma-workspace
deb-scrub-obsolete

More details

Full run details